unit uCustomer;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, DBCtrls, Mask, ExtCtrls, Db, DBTables, Menus,
  ComCtrls, Buttons, Grids, DBGrids;

type
  TfrCustomer = class(TForm)
    Table1: TTable;
    btOK: TButton;
    btCancel: TButton;
    Panel1: TPanel;
    dbCNumClient: TDBText;
    libCustomerID: TLabel;
    libLastName: TLabel;
    libFirstName: TLabel;
    libAddress1: TLabel;
    libAddress2: TLabel;
    libType: TLabel;
    libZip: TLabel;
    libPhone: TLabel;
    libCity: TLabel;
    libCountry: TLabel;
    libState: TLabel;
    dbLastName: TDBEdit;
    dbFirstName: TDBEdit;
    dbAddress1: TDBEdit;
    dbAddress2: TDBEdit;
    dbZip: TDBEdit;
    dbPhone: TDBEdit;
    dbStatus: TDBComboBox;
    dbCity: TDBEdit;
    dbCountry: TDBEdit;
    dbState: TDBEdit;
    DBEdit1: TDBEdit;
    Label1: TLabel;

    procedure FormActivate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure dbDBEditEnter(Sender: TObject);
    procedure dbDBEditExit(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frCustomer: TfrCustomer;

implementation

uses uDM;

{$R *.DFM}

procedure TfrCustomer.FormActivate(Sender: TObject);
begin
  ActiveControl := dbLastName;
end;

procedure TfrCustomer.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if (DM.dsCustomer.State in dsEditModes) then
  begin
    if ModalResult = mrOk then
    begin
      DM.tbCustomer.Post;
    end
    else
    begin
      if (MessageDlg('Unsaved changes, exit anyway?', mtConfirmation,
        [mbYes, mbCancel], 0) = mrYes) then
      begin
        DM.tbCustomer.Cancel;
        CanClose := True
      end
      else
        CanClose := False
    end
  end
  else
    CanClose := True;
end;

procedure TfrCustomer.dbDBEditEnter(Sender: TObject);
begin
  TEdit(Sender).Color := clAqua;
end;

procedure TfrCustomer.dbDBEditExit(Sender: TObject);
begin
  TEdit(Sender).Color := clWindow;
end;


end.
